Package pyplusplus :: Package code_creators :: Module smart_pointers :: Class held_type_t

# type held_type_t

source code

    object --+
             |
            held_type_t

Helper class that can hold name of smart_ptr type and create identifier for held type from that given a creator.

Instance Methods

__init__(self, smart_ptr) smart_ptr: string of ptr type. | source code

create(self, creator) Return string of type to use for held type. | source code

Properties
| smart_ptr

Method Details

### __init__(self, smart_ptr)
(Constructor)

source code

smart_ptr: string of ptr type. Ex: 'boost::shared_ptr'

Overrides: object.__init__

### create(self, creator)

source code

Return string of type to use for held type. Ex: boost::shared_ptr<Class>

Property Details

### smart_ptr

Get Method:
  _get_smart_ptr(self)
Set Method:
  _set_smart_ptr(self, ptr)